SaveChartToDashboardUtil.ResultCode (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.SaveChartToDashboardUtil.ResultCode class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hyperic.hq.ui.util
Enum SaveChartToDashboardUtil.ResultCode

    java.lang.Object
      java.lang.Enum<SaveChartToDashboardUtil.ResultCode>
          org.hyperic.hq.ui.util.SaveChartToDashboardUtil.ResultCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SaveChartToDashboardUtil.ResultCode>

Enclosing class:
  SaveChartToDashboardUtil

    public static enum SaveChartToDashboardUtil.ResultCode

extends java.lang.Enum<SaveChartToDashboardUtil.ResultCode>

Enum Constant Summary
`DUPLICATE`
`ERROR`
`SUCCESS`

Method Summary
`static SaveChartToDashboardUtil.ResultCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SaveChartToDashboardUtil.ResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final SaveChartToDashboardUtil.ResultCode SUCCESS

### DUPLICATE

    public static final SaveChartToDashboardUtil.ResultCode DUPLICATE

### ERROR

    public static final SaveChartToDashboardUtil.ResultCode ERROR

Method Detail

### values

    public static final SaveChartToDashboardUtil.ResultCode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SaveChartToDashboardUtil.ResultCode c : SaveChartToDashboardUtil.ResultCode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SaveChartToDashboardUtil.ResultCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.